ONVIF::Device::Types::NetworkInterfaceExtension(3pm)

NAME
ONVIF::Device::Types::NetworkInterfaceExtension

DESCRIPTION
Perl data type class for the XML Schema defined complexType NetworkInterfaceExtension from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   InterfaceType

•   Dot3

•   Dot11

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Device::Types::NetworkInterfaceExtension
   InterfaceType => $some_value, # IANA-IfTypes
   Dot3 =>  { # ONVIF::Device::Types::Dot3Configuration
   },
   Dot11 =>  { # ONVIF::Device::Types::Dot11Configuration
     SSID => $some_value, # Dot11SSIDType
     Mode => $some_value, # Dot11StationMode
     Alias => $some_value, # Name
     Priority => $some_value, # NetworkInterfaceConfigPriority
     Security =>  { # ONVIF::Device::Types::Dot11SecurityConfiguration
       Mode => $some_value, # Dot11SecurityMode
       Algorithm => $some_value, # Dot11Cipher
       PSK =>  { # ONVIF::Device::Types::Dot11PSKSet
         Key => $some_value, # Dot11PSK
         Passphrase => $some_value, # Dot11PSKPassphrase
         Extension =>  { # ONVIF::Device::Types::Dot11PSKSetExtension
         },
       },
       Dot1X => $some_value, # ReferenceToken
       Extension =>  { # ONVIF::Device::Types::Dot11SecurityConfigurationExtension
       },
     },
   },
   Extension =>  { # ONVIF::Device::Types::NetworkInterfaceExtension2
   },
 },

AUTHOR
Generated by SOAP::WSDL